com.google.gwt.user.client.ui

## Interface TableListener

All Superinterfaces:
  java.util.EventListener

Deprecated.
use `ClickHandler` and `HTMLTable.getCellForEvent(com.google.gwt.event.dom.client.ClickEvent)` instead

    @Deprecated
    public interface TableListener
    extends java.util.EventListener

Event listener interface for table events.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `onCellClicked(SourcesTableEvents sender, int row, int cell)` Deprecated. use `ClickHandler` and `HTMLTable.getCellForEvent(com.google.gwt.event.dom.client.ClickEvent)` instead

### Method Detail

#### onCellClicked

    @Deprecated
    void onCellClicked(SourcesTableEvents sender,
                                   int row,
                                   int cell)

Deprecated. use `ClickHandler` and `HTMLTable.getCellForEvent(com.google.gwt.event.dom.client.ClickEvent)` instead
Fired when a cell is clicked.

Parameters:
  `sender` - the widget sending the event
  `row` - the row of the cell being clicked
  `cell` - the index of the cell being clicked